Bug 241418 - math/curv: fix build on GCC architectures
Summary: math/curv: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-22 18:51 UTC by Piotr Kubaj
Modified: 2019-11-27 19:47 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (3.54 KB, patch)
2019-10-22 18:51 UTC, Piotr Kubaj
yuri: maintainer-approval+
Details | Diff
v2 (3.33 KB, patch)
2019-11-12 11:17 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (yuri)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-22 18:51:46 UTC
Created attachment 208511 [details]
patch

libcurv/geom/viewer/fbo.cc, libcurv/geom/viewer/mesh.cc, libcurv/geom/viewer/text.cc and libcurv/geom/viewer/vertexLayout.cc need to include sys/types.h to make uint type known.
/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/libcurv/geom/viewer/fbo.cc:42:26: error: 'uint' does not name a type; did you mean 'int'?
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-25 02:55:37 UTC
I have no idea why, but this fails to patch for me on both ppcports and my blackbird.  I am investigating.  (It patches on my x86 machines.)
Comment 2 Piotr Kubaj freebsd_committer 2019-11-12 11:17:32 UTC
Created attachment 209098 [details]
v2

For some reason, makepatch generated a patch with wrong directories.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2019-11-13 22:55:05 UTC
Approved as mentor (now builds on ppcports).
Comment 4 commit-hook freebsd_committer 2019-11-27 19:47:36 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Nov 27 19:47:31 UTC 2019
New revision: 518528
URL: https://svnweb.freebsd.org/changeset/ports/518528

Log:
  math/curv: fix build on GCC architectures

  libcurv/geom/viewer/fbo.cc, libcurv/geom/viewer/mesh.cc, libcurv/geom/viewer/text.cc and libcurv/geom/viewer/vertexLayout.cc need to include sys/types.h to make uint type known. /wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/libcurv/geom/viewer/fbo.cc:42:26: error: 'uint' does not name a type; did you mean 'int'?

  PR:             241418
  Approved by:    linimon (mentor), yuri (maintainer)

Changes:
  head/math/curv/files/patch-libcurv_viewer_fbo.cc
  head/math/curv/files/patch-libcurv_viewer_mesh.cc
  head/math/curv/files/patch-libcurv_viewer_text.cc
  head/math/curv/files/patch-libcurv_viewer_vertexLayout.cc